## Index

### Classes

- AutocompleteControlRenderer
- BooleanControlRenderer
- CategorizationTabLayoutRenderer
- DateControlRenderer
- GroupLayoutRenderer
- HorizontalLayoutRenderer
- JsonFormsAngularMaterialModule
- JsonFormsDetailComponent
- LabelRenderer
- LayoutRenderer
- MasterListComponent
- NumberControlRenderer
- ObjectControlRenderer
- RangeControlRenderer
- TextAreaRenderer
- TextControlRenderer
- ToggleControlRenderer
- VerticalLayoutRenderer

### Interfaces

- OwnPropsOfAutoComplete

### Variables

- DateControlRendererTester
- LabelRendererTester
- NumberControlRendererTester
- ObjectControlRendererTester
- RangeControlRendererTester
- TextAreaRendererTester
- TextControlRendererTester
- ToggleControlRendererTester
- angularMaterialRenderers
- booleanControlTester
- categorizationTester
- emptyL10NConfig
- enumControlTester
- groupLayoutTester
- horizontalLayoutTester
- keywords
- masterDetailTester
- verticalLayoutTester

### Functions

- connectLayoutToJsonForms
- mapStateToProps
- removeSchemaKeywords

## Variables

### Const DateControlRendererTester

DateControlRendererTester: RankedTester = rankWith(2,isDateControl)

- Defined in controls/date.renderer.ts:52

### Const LabelRendererTester

LabelRendererTester: RankedTester = rankWith(4, uiTypeIs('Label'))

- Defined in other/label.renderer.ts:69

### Const NumberControlRendererTester

NumberControlRendererTester: RankedTester = rankWith(2,or(isNumberControl, isIntegerControl))

- Defined in controls/number.renderer.ts:104

### Const ObjectControlRendererTester

ObjectControlRendererTester: RankedTester = rankWith(2,isObjectControl)

- Defined in other/object.renderer.ts:63

### Const RangeControlRendererTester

RangeControlRendererTester: RankedTester = rankWith(4,isRangeControl)

- Defined in controls/range.renderer.ts:74

### Const TextAreaRendererTester

TextAreaRendererTester: RankedTester = rankWith(2,isMultiLineControl)

- Defined in controls/textarea.renderer.ts:57

### Const TextControlRendererTester

TextControlRendererTester: RankedTester = rankWith(1,isStringControl)

- Defined in controls/text.renderer.ts:74

### Const ToggleControlRendererTester

ToggleControlRendererTester: RankedTester = rankWith(3,and(isBooleanControl, optionIs('toggle', true)))

- Defined in controls/toggle.renderer.ts:61

### Const angularMaterialRenderers

angularMaterialRenderers: object[] = [// controls{ tester: booleanControlTester, renderer: BooleanControlRenderer },{ tester: TextControlRendererTester, renderer: TextControlRenderer },{ tester: TextAreaRendererTester, renderer: TextAreaRenderer },{ tester: NumberControlRendererTester, renderer: NumberControlRenderer },{ tester: RangeControlRendererTester, renderer: RangeControlRenderer },{ tester: DateControlRendererTester, renderer: DateControlRenderer },{ tester: ToggleControlRendererTester, renderer: ToggleControlRenderer },{ tester: enumControlTester, renderer: AutocompleteControlRenderer },{ tester: ObjectControlRendererTester, renderer: ObjectControlRenderer },// layouts{ tester: verticalLayoutTester, renderer: VerticalLayoutRenderer },{ tester: groupLayoutTester, renderer: GroupLayoutRenderer },{ tester: horizontalLayoutTester, renderer: HorizontalLayoutRenderer },{ tester: categorizationTester, renderer: CategorizationTabLayoutRenderer },{ tester: LabelRendererTester, renderer: LabelRenderer },// other{ tester: masterDetailTester, renderer: MasterListComponent }]

- Defined in index.ts:92

### Const booleanControlTester

booleanControlTester: RankedTester = rankWith(2, isBooleanControl)

- Defined in controls/boolean.renderer.ts:64

### Const categorizationTester

categorizationTester: RankedTester = rankWith(2,and(uiTypeIs('Categorization'), categorizationHasCategory))

- Defined in layouts/categorization-layout.renderer.ts:57

### Const emptyL10NConfig

emptyL10NConfig: L10nConfig

- Defined in module.ts:77

### Const enumControlTester

enumControlTester: RankedTester = rankWith(2, isEnumControl)

- Defined in controls/autocomplete.renderer.ts:147

### Const groupLayoutTester

groupLayoutTester: RankedTester = rankWith(1, uiTypeIs('Group'))

- Defined in layouts/group-layout.renderer.ts:52

### Const horizontalLayoutTester

horizontalLayoutTester: RankedTester = rankWith(1,uiTypeIs('HorizontalLayout'))

- Defined in layouts/horizontal-layout.renderer.ts:56

### Const keywords

keywords: string[] = ['#', 'properties', 'items']

- Defined in other/master-detail/master.ts:17

### Const masterDetailTester

masterDetailTester: RankedTester = rankWith(4,uiTypeIs('ListWithDetail'))

- Defined in other/master-detail/master.ts:219

### Const verticalLayoutTester

verticalLayoutTester: RankedTester = rankWith(1,uiTypeIs('VerticalLayout'))

- Defined in layouts/vertical-layout.renderer.ts:51

## Functions

### Const connectLayoutToJsonForms

- connectLayoutToJsonForms(store: NgRedux<JsonFormsState>, ownProps: any): Observable<StatePropsOfLayout>

- - Defined in util.ts:34

  #### Parameters

  - ##### store: NgRedux<JsonFormsState>

  - ##### ownProps: any

  #### Returns Observable<StatePropsOfLayout>

### Const mapStateToProps

- mapStateToProps(state: JsonFormsState, ownProps: OwnPropsOfRenderer): object

- - Defined in other/label.renderer.ts:56

  #### Parameters

  - ##### state: JsonFormsState

  - ##### ownProps: OwnPropsOfRenderer

  #### Returns object

  - ##### visible: boolean

### Const removeSchemaKeywords

- removeSchemaKeywords(path: string): string

- - Defined in other/master-detail/master.ts:19

  #### Parameters

  - ##### path: string

  #### Returns string

Generated using TypeDoc